org.apache.maven.shared.artifact.filter

## Class PatternIncludesArtifactFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.PatternIncludesArtifactFilter

All Implemented Interfaces:
  org.apache.maven.artifact.resolver.filter.ArtifactFilter, StatisticsReportingArtifactFilter

Direct Known Subclasses:
  PatternExcludesArtifactFilter

    public class PatternIncludesArtifactFilter
    extends Object
    implements org.apache.maven.artifact.resolver.filter.ArtifactFilter, StatisticsReportingArtifactFilter

TODO: include in maven-artifact in future

Author:
  Brett Porter
See Also:
  `StrictPatternIncludesArtifactFilter`

### Constructor Summary

Constructors
Constructor and Description
`PatternIncludesArtifactFilter(List patterns)`
`PatternIncludesArtifactFilter(List patterns, boolean actTransitively)`

### Method Summary

Methods
`protected void` `addFilteredArtifactId(String artifactId)`
`protected String` `getFilterDescription()`
`protected String` `getPatternsAsString()`
`boolean` `hasMissedCriteria()`
`boolean` `include(org.apache.maven.artifact.Artifact artifact)`
`protected boolean` `patternMatches(org.apache.maven.artifact.Artifact artifact)`
`protected Boolean` `positiveMatch(org.apache.maven.artifact.Artifact artifact)`
`void` `reportFilteredArtifacts(org.codehaus.plexus.logging.Logger logger)`
`void` `reportMissedCriteria(org.codehaus.plexus.logging.Logger logger)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PatternIncludesArtifactFilter

    public PatternIncludesArtifactFilter(List patterns)

#### PatternIncludesArtifactFilter

    public PatternIncludesArtifactFilter(List patterns,
                                 boolean actTransitively)

### Method Detail

#### include

    public boolean include(org.apache.maven.artifact.Artifact artifact)

Specified by:
  `include` in interface `org.apache.maven.artifact.resolver.filter.ArtifactFilter`

#### patternMatches

    protected boolean patternMatches(org.apache.maven.artifact.Artifact artifact)

#### addFilteredArtifactId

    protected void addFilteredArtifactId(String artifactId)

#### positiveMatch

    protected Boolean positiveMatch(org.apache.maven.artifact.Artifact artifact)

#### reportMissedCriteria

    public void reportMissedCriteria(org.codehaus.plexus.logging.Logger logger)

Specified by:
  `reportMissedCriteria` in interface `StatisticsReportingArtifactFilter`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getPatternsAsString

    protected String getPatternsAsString()

#### getFilterDescription

    protected String getFilterDescription()

#### reportFilteredArtifacts

    public void reportFilteredArtifacts(org.codehaus.plexus.logging.Logger logger)

Specified by:
  `reportFilteredArtifacts` in interface `StatisticsReportingArtifactFilter`

#### hasMissedCriteria

    public boolean hasMissedCriteria()

Specified by:
  `hasMissedCriteria` in interface `StatisticsReportingArtifactFilter`